#!/bin/bash

# uninstall logic for Adaptix Networks Cloud Backup Advanced 7.17.0.50
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Adaptix Networks Cloud Backup Advanced.app/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Adaptix Networks Cloud Backup Advanced"
    touch "/Applications/Adaptix Networks Cloud Backup Advanced.app/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
#if [ -e "/Applications/Adaptix Networks Cloud Backup Advanced/aua/bin" ]; then
#    echo "Shutdown AutoUpdateAgent for Adaptix Networks Cloud Backup Advanced"
#    sh "/Applications/Adaptix Networks Cloud Backup Advanced/aua/bin/shutdown.sh"
#    echo "Wait 5 seconds before AutoUpdateAgent exits"
#    sleep 5
#fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Adaptix Networks Cloud Backup Advanced.app/bin/taskkill" "/Applications/Adaptix Networks Cloud Backup Advanced.app/jvm/bin/bJW"
sh "/Applications/Adaptix Networks Cloud Backup Advanced.app/bin/taskkill" "/Applications/Adaptix Networks Cloud Backup Advanced.app/jvm/bin/bschJW"
sh "/Applications/Adaptix Networks Cloud Backup Advanced.app/bin/taskkill" "/Applications/Adaptix Networks Cloud Backup Advanced.app/jvm/bin/java"


###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/AdaptixNetworksCloudBackupAdvanced" ]; then
    echo "Remove Scheduler for Adaptix Networks Cloud Backup Advanced from service"
    rm -rf "/Library/StartupItems/AdaptixNetworksCloudBackupAdvanced"
fi

# Remove Launch Daemons
if [ -e "/Library/LaunchDaemons/com.AdaptixNetworksCloudBackupAdvanced.scheduler.plist" ]; then
    echo "Remove LaunchDaemons for com.AdaptixNetworksCloudBackupAdvanced.scheduler from service"
    launchctl unload "/Library/LaunchDaemons/com.AdaptixNetworksCloudBackupAdvanced.scheduler.plist"
    rm -f "/Library/LaunchDaemons/com.AdaptixNetworksCloudBackupAdvanced.scheduler.plist"
fi
# Remove AutoUpdateAgent
#if [ -e "/Library/StartupItems/AdaptixNetworksCloudBackupAdvanced-AutoUpdate" ]; then
#    echo "Remove AutoUpdateAgent for Adaptix Networks Cloud Backup Advanced from service"
#    rm -rf "/Library/StartupItems/AdaptixNetworksCloudBackupAdvanced-AutoUpdate"
#fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/AdaptixNetworksCloudBackupAdvanced" ]; then
        echo "Remove Desktop Link AdaptixNetworksCloudBackupAdvanced from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/AdaptixNetworksCloudBackupAdvanced"
        echo "Removed AdaptixNetworksCloudBackupAdvanced Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/Adaptix Networks Cloud Backup Advanced" ]; then
        echo "Remove Desktop Link Adaptix Networks Cloud Backup Advanced from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Adaptix Networks Cloud Backup Advanced"
        echo "Removed Adaptix Networks Cloud Backup Advanced Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/Adaptix Networks Cloud Backup Advanced" ]; then
        echo "Remove Desktop Link Adaptix Networks Cloud Backup Advanced from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Adaptix Networks Cloud Backup Advanced"
        echo "Removed Adaptix Networks Cloud Backup Advanced Desktop Link"
    fi

done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Adaptix Networks Cloud Backup Advanced
cd /
if [ -e "/Applications/Adaptix Networks Cloud Backup Advanced.app" ]; then
    echo "Remove Adaptix Networks Cloud Backup Advanced from Your Mac OS X"
    rm -rf "/Applications/Adaptix Networks Cloud Backup Advanced.app"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm-mac.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm-mac.pkg (Path: /Library/Receipts/obm-mac.pkg)"
    rm -rf "/Library/Receipts/obm-mac.pkg"
fi
